<?php
/**
 * Descriptions
 * @author yzxh24
 * @email yzxh24@gmail.com
 * @created 2010-11-03 21:59:43
 */
class ReportsController extends BackendController
{
    /**
     * action路径前缀
     */
	protected $actionPrefix = 'admin.controllers.Reports.';

    /**
     * action对应表
     */
    protected $actionMap = array(
        'list' => 'ListAction',
        'cancel' => 'CancelAction',
        'complete' => 'CompleteAction',
    );

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax'] === 'reports-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}